baseURL = "http://localhost"
title = "Geekdocs"
theme = "hugo-geekdoc"

pluralizeListTitles = false

# Geekdoc required configuration
pygmentsUseClasses = true
pygmentsCodeFences = true
disablePathToLower = true

# Required if you want to render robots.txt template
enableRobotsTXT = false

# Needed for mermaid shortcodes
[markup]
  [markup.goldmark.renderer]
    # Needed for mermaid shortcode
    unsafe = true
  [markup.tableOfContents]
    startLevel = 1
    endLevel = 9

defaultContentLanguage = "fr"

[languages.fr]
  languageName = "Français"
  contentDir = "content/fr"
  weight = 10

[languages.en]
  languageName = "English"
  contentDir = "content/en"
  weight = 20

[taxonomies]
  tag = "tags"

[security]
  enableInlineShortcodes = false

  [security.exec]
    allow = ['^(dart-)?sass(-embedded)?$', '^go$', '^npx$', '^postcss$', 'asciidoctor']
    osEnv = ['(?i)^((HTTPS?|NO)_PROXY|PATH(EXT)?|APPDATA|TE?MP|TERM|GO\w+|(XDG_CONFIG_)?HOME|USERPROFILE|SSH_AUTH_SOCK|DISPLAY|LANG)$']

  [security.funcs]
    getenv = ['^HUGO_', '^CI$']

  [security.goTemplates]
    AllowActionJSTmpl = false

  [security.http]
    methods = ['(?i)GET|POST']
    urls = ['.*']

